Subject: Re: G:Search for Benchmarks Gaussian94

From: "M. Nicklaus" <[email-masked]>
Date: Tue, 6 May 1997 15:05:05 -0400 (EDT)

Hi,

On Tue, 29 Apr 1997, Vansweevelt Hans <[email-masked]> wrote:

>   does anyone has benchmark results for Gaussian94 running on different
> platforms ? Or can someone tell me where I can find relevant information ? I'm
> especially interested in DEC alphaserver, SGI powerchallenge and SUN
> HPC-systems. Comments on problems (or benefits) with Gaussian on those
> platforms are also welcome. 

We are in the process of performing extensive benchmarking using Gaussian 94 (among
other programs) for the LoBoS project (see, e.g., Rick Venable's remarks in
gopher://www.ccl.net/0R4056-18210-/archived-messages/97/04/15-rej).  We are
mostly concentrating on the P6 (Pentium Pro) platform, comparing different motherboards,
cache sizes, compilers, compiler options etc., but we've also included a few other
platforms for comparison purposes.

Below I am listing one of those results for the P6 (among the better ones we found),
along with three other platforms.  More benchmark data will be made available in
the near future.  We are using the subset of the test jobs provided with G94 that is
recommended by Gaussian, Inc.; these jobs  "cover a range a Gaussian 94 capabilities"
(G94 User's Manual p. 193).  I also want to point out Joe Durant's G94 Benchmarks page,
for which he used the same set of test jobs, so his numbers are directly comparable 
with ours (http://mephisto.ca.sandia.gov/benchmarks.html).

As a bottom line, it is quite astonishing what performance one can get from inexpensive
machines such as P6 based systems.  Given the fact that a Dual P6 200 MHz system can
now be bought for about $3,000 if one foregoes fancy graphics and expensive monitors,
this means that Cray YM-P type preformance can now be had for about $1,500.  (We've seen
typically 10-15% performance hits if you run two G94 jobs on a Dual P6 simultaneously.)
Note that the P6 results were achieved with 'cheap' hardware options, i.e. the 256 kB 
cache version of the processor, and a 3.1 GB E-IDE (not SCSI!) hard drive.
Of course, for certain types of jobs a supercomputer will still be much faster.  Test
job 194 seems to be such a case.  However, since, for QCISD(T) and related methods,
"more memory reduces the number of passes, improves elapsed time" (Gaussian 92 Workshop
Notes), this might simply be a RAM amount effect.  I'd be interested to hear comments
on this point from the CCL community and/or Gaussian, Inc.

System/Motherboard/RAM           |                       Test Job #
OS/Compiler/Options              |    001    028    094     155    194     296    302 |  Total
Gaussian 94 Revision             |              ("Job cpu time" in seconds)           |
----------------------------------------------------------------------------------------------
Cray Y-MP/8128, 128 MW                7.6   21.6   74.3   353.6    4.1  1228.1   49.5   1738.8
UNICOS 8.0.4                                                                    
G94 Rev. C.3

IBM RS/6000-590                       4.0   13.8   55.4   201.5   53.1   749.5   66.7   1144.0
"Gaussian, Inc. reference system"
G94 Rev. D.3

DEC AlphaServer 2100 4/275, 256 MB   12.6   28.3   32.7   321.5  108.7  1147.4  128.2   1839.4
4 x 21064 chip 275 MHz (1 CPU)
OSF/1 (Digital Unix) v. 3.2
f77 (Gaussian, Inc. scripts)
G94 Rev. C.3

Dual P6 200 MHz ASUS (1 CPU) 128 MB   5.9   15.7   57.0   298.3  178.3   969.9   75.1   1600.2
Debian Linux 2.0.27;
f2c --> cc (optimizing compilation)
G94 Rev. E.1

Notes
-----
All results are the summed up "Job cpu time[s]" as reported by the G94 jobs at the end of the 
output files.  The IBM RS/6000-590 results are from the output files provided with G94 in the
subdirectory $g94root/g94/tests/rs6k.  All jobs on Cray, DEC, P6 were run with the 'default'
default memory use (i.e., no Default.Route file), which should be 2,000,000 words (Gaussian
94 User's Reference, p. 10).  All jobs were submitted from interactive sessions as background 
jobs.  
Exceptions: Job 155 and 296 on Cray, which had to be submitted via qsub, with %Mem=9MW and 
16MW for test155 and test296, respectively.  NQS output reported "User CPU Time" of 324.9 sec
and 1063.6 sec for test155 and test296, respectively.

"(1 CPU)" for DEC, P6 means that, although these are multiprocessor machines, G94 was run on
one CPU only.  It was made sure that the G94 job had >99% of this one processor.
On Cray: Parallelized version of G94 was used.

Dual P6: 256 kB cache Pentium Pro, 3.1 GB E-IDE hard drive.  Compiler (optimization) options: 
-O3 -funroll-loops -fomit-frame-pointer -malign-double -m486 -malign-loops=2 -malign-jumps=2
-malign-functions=2.

Route cards and comments:

test001  #P TEST STO-3G COMPLEX pop=full scf=conventional
         SINGLET DELTA STO-3G//STO-3G DIOXYGEN

test028  #p rhf/3-21g freq=anal 
         water freq//hf/3-21g freq=anal explicit (compare test 27)

test094  #p rmp2/sto-3g opt=calcfc test geom=modela
         Water MP2 Opt=CalcFC

test155  #p 6-31+G* freq rcis(full,mo) test
         1-B3u Ethene D2h

test194  #p uqcisd(tq)/gen test guess(mix) symm=noscf iop1=synch 
         UQCISD(TQ) water at 1.5 Re with [4s2p1d|2s1p] Dunning basis

test296  #p G1 geom=modela test
         Water G1 from standard model

test302  #p hf/3-21g opt=qst2 test
         reactant SiH2 +H2 -> SiH4 ts with constrained transition vector 

------------------------------------------------------------------------
 Marc C. Nicklaus                        National Institutes of Health
 Phone:  (301) 402-3111                  Bldg 37, Rm 5B29
 Fax:    (301) 496-5839                  BETHESDA, MD 20892-4255    USA
 [email-masked]         http://www.nci.nih.gov/intra/lmch/MCNBIO.HTM
    Laboratory of Medicinal Chemistry, National Cancer Institute,  &
  Lab. of Structural Biology, Div. of Computer Research and Technology
------------------------------------------------------------------------